function varargout = executeExternBorchertFunction(funName, varargin)
% wrap an internal function provided by Christian Borchert
%
% Syntax: varargout = wrapExternBorchertFunction(funName, varargin)
%
% THIS FUNCTION IS NO USER FUNCTION. IT ONLY WRAPS FUNCTIONALITY.
%
% See also: obtainCrystal, viewCrystal, editCrystal

% The elk-library: convex geometry applied to crystallization modeling.
%   Copyright (C) 2013 Alexander Reinhold
%
% This program is free software: you can redistribute it and/or modify it 
%   under the terms of the GNU General Public License as published by the 
%   Free Software Foundation, either version 3 of the License, or (at your 
%   option) any later version.
%
% This program is distributed in the hope that it will be useful, but 
%   WITHOUT ANY WARRANTY; without even the implied warranty of 
%   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
%   General Public License for more details.
%
% You should have received a copy of the GNU General Public License along 
%   with this program.  If not, see <http://www.gnu.org/licenses/>.

%% Parameters
borchertDir = 'borchert-05-2010';

%% Add external path
borchertPath = [fileparts(which(mfilename)) filesep borchertDir];
addpath(borchertPath)

%% Evaluate
try
    varargout{1:nargout} = feval(funName, varargin{:});
    % Remove required paths
    rmpath(borchertPath);

catch thisError
    % Remove required paths anyway
    rmpath(borchertPath);
    rethrow(thisError);
end

